require "scripts/style"


SetState( kPause, true );

if(gGameRunning == true) then
    SendGameMessage( "pause" );
end

local okbutton="exitForbiddenOK" ;

local okcmd=gDialogTable.okbutton;

MakeDialog
{
    name="exitForbidden",
    Bitmap
    {
		image="backgrounds/dialog",
		x=kCenter,
		y=kCenter,

-- Attention            
        Text
        {
            font = StandardButtonFontHuge,--StandardButtonFont,
            name = "exitForbiddenAttention",
            x=kCenter,
            y=45,--35,
            w=335,h=30,
            flags = kHAlignCenter + kVAlignCenter,
            label = "exitForbiddenAttention"
        };
-- Description            
        Text
        {
            font = StandardButtonFont,--StandardButtonFontSmall,
            name = "exitForbiddenDescription",
            x=kCenter,
            y=100,--230,
            w=325,h=120,
            flags = kHAlignCenter,-- + kVAlignCenter,
            label = "exitForbiddenDescription"
        };        

		SetStyle(SmallEmptyRoundButtonStyle),

        Button
        {
            name=okbutton,
            label="ok",                    
            x = kCenter,
            y = kMax-80,
            close = true,
            flags = 5,
			command=
				function()
					if (okcmd) then
						okcmd() ;
					end
                end;
        },
    },
} -- MakeDialog


